Xalan-Java 2.7.1: Class DTMNodeList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.dtm.ref
Class DTMNodeList

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMNodeListBase
            |
            +--org.apache.xml.dtm.ref.DTMNodeList

public class DTMNodeList
extends DTMNodeListBase

`DTMNodeList` gives us an implementation of the DOM's NodeList interface wrapped around a DTM Iterator. The author considers this something of an abominations, since NodeList was not intended to be a general purpose "list of nodes" API and is generally considered by the DOM WG to have be a mistake... but I'm told that some of the XPath/XSLT folks say they must have this solution. Please note that this is not necessarily equivlaent to a DOM NodeList operating over the same document. In particular:

- If there are several Text nodes in logical succession (ie, across CDATASection and EntityReference boundaries), we will return only the first; the caller is responsible for stepping through them. (%REVIEW% Provide a convenience routine here to assist, pending proposed DOM Level 3 getAdjacentText() operation?)
- Since the whole XPath/XSLT architecture assumes that the source document is not altered while we're working with it, we do not promise to implement the DOM NodeList's "live view" response to document mutation.

State: In progress!!

Constructor Summary
`DTMNodeList(DTMIterator dtmIterator)` Public constructor: Wrap a DTMNodeList around an existing and preconfigured DTMIterator WARNING: THIS HAS THE SIDE EFFECT OF ISSUING setShouldCacheNodes(true) AGAINST THE DTMIterator.

Method Summary
`DTMIterator` | `getDTMIterator()` Access the wrapped DTMIterator.
`int` | `getLength()` The number of nodes in the list.
`Node` | `item(int index)` Returns the `index`th item in the collection.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTMNodeList

    public DTMNodeList(DTMIterator dtmIterator)

  Public constructor: Wrap a DTMNodeList around an existing and preconfigured DTMIterator WARNING: THIS HAS THE SIDE EFFECT OF ISSUING setShouldCacheNodes(true) AGAINST THE DTMIterator.

Method Detail

### getDTMIterator

    public DTMIterator getDTMIterator()

  Access the wrapped DTMIterator. I'm not sure whether anyone will need this or not, but let's write it and think about it.

### item

    public Node item(int index)

  Returns the `index`th item in the collection. If `index` is greater than or equal to the number of nodes in the list, this returns `null`.
  Parameters:
    `index` - Index into the collection.
  Returns:
    The node at the `index`th position in the `NodeList`, or `null` if that is not a valid index.
  Overrides:
    item in class DTMNodeListBase

### getLength

    public int getLength()

  The number of nodes in the list. The range of valid child node indices is 0 to `length-1` inclusive.
  Overrides:
    getLength in class DTMNodeListBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.